#include<stdio.h>
#include<string.h>
int main()
{
	const int d = 15;
	const int l = 20;
	char Asami[d][l+1], Temp[l+1];
	int i, j;
	printf ("tedade %d Asami ra vared konid : \n", d);
	//daryafte asami
	for(i=0; i < d; i++)
		scanf("%s", Asami[i]);
	//morattab sazi
	for(i=d-1; i > 0; i--)
		for(j=0; j < i; j++)
			//moghayese 2 esm va jabejaee dar araye dar soorate bozorgi avvali
			if(strcmp(Asami[j], Asami[j+1]) > 0)
			{
				strcpy(Temp, Asami[j]);
				strcpy(Asami[j], Asami[j+1]);
				strcpy(Asami[j+1], Temp);
			}
	printf("\n Natije = \n");
	//namayeshe natije
	for(i=0; i < d; i++)
		printf("%s\n", Asami[i]);
	getch();
}

